Attribute Types
Every attribute has a type that determines the kind of value it can hold (e.g., free text, numeric, list value). Attribute types must exist before attributes of that type can be created.
Listing Attribute Types
Section titled “Listing Attribute Types”GET /repositories/{repository}/attributeTypesCreating an Attribute Type
Section titled “Creating an Attribute Type”Request
POST /repositories/{repository}/attributeTypesRequest Body
{ "name": "MyType"}Deleting an Attribute Type
Section titled “Deleting an Attribute Type”DELETE /repositories/{repository}/attributeTypes/{attributeType}In the endpoint DELETE /repositories/{repository}/attributeTypes/{attributeType}, the {attributeType} path segment accepts the attribute type name or an ID prefixed with id:.
Was this page helpful?Thanks for your feedback!